Bug 442744 - (CVE-2008-1836) CVE-2008-1836 clamav: DoS via not null terminated string in rfc2231
CVE-2008-1836 clamav: DoS via not null terminated string in rfc2231
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=internet,repoted=20080415,publ...
: Security
Depends On: 442364
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 11:39 EDT by Tomas Hoger
Modified: 2008-06-19 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 06:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-16 11:39:43 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1836 to the following vulnerability:

The rfc2231 function in message.c in libclamav in ClamAV before 0.93
allows remote attackers to cause a denial of service (crash) via a
crafted message that produces a string that is not null terminated,
which triggers a buffer over-read.

Fixed in 0.93.

References:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=881
Comment 1 Tomas Hoger 2008-04-24 13:34:39 EDT
This issue did not affect clamav-0.92.1, as affected code was introduced in
later revisions.  clamav-0.93rc1 in Rawhide was affected by this problem.
Comment 2 Fedora Update System 2008-05-13 11:17:41 EDT
clamav-0.93-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-14 18:09:04 EDT
clamav-0.93-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-06-19 06:50:03 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3900


Note You need to log in before you can comment on or make changes to this bug.